changeset 399:3437e2246259

Merge pull request #73 from joshuaflanagan/example_script_variables Stop requiring editing of example scripts
author Jacob Alexander <haata@kiibohd.com>
date Tue, 10 Nov 2015 11:24:03 -0800
parents cba3cefc6e56 (current diff) 63b1d003fd50 (diff)
children b4bb195dac76 88814d3c0c8b 98c896e00f9f 8fa2619aa60e
files Scan/STLcd/bitmap2Struct.py
diffstat 3 files changed, 20 insertions(+), 5 deletions(-) [+]
line wrap: on
line diff
--- a/Scan/ISSILed/exampleAPI.bash	Sun Nov 01 17:19:09 2015 -0800
+++ b/Scan/ISSILed/exampleAPI.bash	Tue Nov 10 11:24:03 2015 -0800
@@ -3,9 +3,15 @@
 # Virtual Serial Port API Example
 # Jacob Alexander 2015
 
+if [ $# -eq 0 ]; then
+  echo "You must specify your virtual serialport. (/dev/ttyACM0 on linux, /dev/cu.usbmodemXXXX on OSX)"
+  echo "  ex: $0 /dev/ttyACM0"
+  exit 1
+fi
 # XXX Set this to match your virtual serialport
-# TODO Show examples for Mac OSX and Cygwin/Windows
-SERIALPORT=/dev/ttyACM0
+# TODO Show examples for Cygwin/Windows
+# For Mac OSX it will be something like /dev/cu.usbmodem1413 (number may differ)
+SERIALPORT=$1
 
 # NOTE: Make sure you don't write too quickly to the serial port, it can get overwhelmed by a modern computer
 #       Generally this just means commands will get ignored
--- a/Scan/STLcd/bitmap2Struct.py	Sun Nov 01 17:19:09 2015 -0800
+++ b/Scan/STLcd/bitmap2Struct.py	Tue Nov 10 11:24:03 2015 -0800
@@ -110,7 +110,10 @@
 		return display
 
 
-filename = "ic_logo_lcd.bmp"
+filename = sys.argv[1]
+if filename is None:
+	print( "You must specify a bitmap filename. Try './bitmap2Struct.py ic_logo_lcd.bmp'" )
+	sys.exit( 1 )
 max_height = 32
 max_width = 128
 x_offset = 0
--- a/Scan/STLcd/exampleAPI.bash	Sun Nov 01 17:19:09 2015 -0800
+++ b/Scan/STLcd/exampleAPI.bash	Tue Nov 10 11:24:03 2015 -0800
@@ -3,9 +3,15 @@
 # Virtual Serial Port API Example
 # Jacob Alexander 2015
 
+if [ $# -eq 0 ]; then
+  echo "You must specify your virtual serialport. (/dev/ttyACM0 on linux, /dev/cu.usbmodemXXXX on OSX)"
+  echo "  ex: $0 /dev/ttyACM0"
+  exit 1
+fi
 # XXX Set this to match your virtual serialport
-# TODO Show examples for Mac OSX and Cygwin/Windows
-SERIALPORT=/dev/ttyACM0
+# TODO Show example for Cygwin/Windows
+# For Mac OSX it will be something like /dev/cu.usbmodem1413 (number may differ)
+SERIALPORT=$1
 
 # NOTE: Make sure you don't write too quickly to the serial port, it can get overwhelmed by a modern computer
 #       Generally this just means commands will get ignored